

/*
 *
 * BIG7SEGMENT
 *
 * created with FontCreator
 * written by F. Maximilian Thiele
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : BIG7SEGMENT.h
 * Date                : 04.07.2018
 * Font size in bytes  : 1777
 * Font width          : 10
 * Font height         : -16
 * Font first char     : 48
 * Font last char      : 59
 * Font used chars     : 11
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef BIG7SEGMENT_H
#define BIG7SEGMENT_H

#define BIG7SEGMENT_WIDTH 10
#define BIG7SEGMENT_HEIGHT -16

const static uint8_t BIG7SEGMENT[] PROGMEM = {
    0x06, 0xF1, // size
    0x0A, // width
    0x10, // height
    0x30, // first char
    0x0B, // char count
    
    // char widths
    0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 
    0x0A, 
    
    // font data
    0xFC, 0xFE, 0xFF, 0x07, 0x83, 0xC3, 0x67, 0xFF, 0xFE, 0xFC, 0x3F, 0x7F, 0xFF, 0xE3, 0xC1, 0xC0, 0xE0, 0xFF, 0x7F, 0x3F, // 48
    0x00, 0x00, 0x00, 0xFE, 0xFF, 0xFF, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 0xFF, 0x7F, 0x00, 0x00, 0x00, // 49
    0x01, 0x83, 0xC7, 0xC7, 0xC7, 0xC7, 0xC7, 0xFF, 0xFE, 0x7C, 0x3F, 0x7F, 0xFF, 0xE1, 0xE1, 0xE1, 0xE1, 0xE1, 0xC0, 0x80, // 50
    0x01, 0x03, 0xC7, 0xC7, 0xC7, 0xC7, 0xC7, 0xFF, 0xFE, 0xFC, 0x80, 0xC0, 0xE1, 0xE1, 0xE1, 0xE1, 0xE1, 0xFF, 0x7F, 0x3F, // 51
    0x7F, 0xFE, 0xFC, 0xC0, 0xC0, 0xC0, 0xC0, 0xFC, 0xFE, 0xFF, 0x00, 0x00, 0x01, 0x01, 0x01, 0x01, 0x01, 0x3F, 0x7F, 0xFF, // 52
    0x7C, 0xFE, 0xFF, 0xC7, 0xC7, 0xC7, 0xC7, 0xC7, 0x83, 0x01, 0x80, 0xC0, 0xE1, 0xE1, 0xE1, 0xE1, 0xE1, 0xFF, 0x7F, 0x3F, // 53
    0xFC, 0xFE, 0xFF, 0xC7, 0xC7, 0xC7, 0xC7, 0xC7, 0x83, 0x01, 0x3F, 0x7F, 0xFF, 0xE1, 0xE1, 0xE1, 0xE1, 0xFF, 0x7F, 0x3F, // 54
    0x01, 0x03, 0x07, 0x07, 0x07, 0x07, 0x07, 0xFF, 0xFE, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x7F, 0xFF, // 55
    0x7C, 0xFE, 0xFF, 0xC7, 0xC7, 0xC7, 0xC7, 0xFF, 0xFE, 0x7C, 0x3F, 0x7F, 0xFF, 0xE1, 0xE1, 0xE1, 0xE1, 0xFF, 0x7F, 0x3F, // 56
    0x7C, 0xFE, 0xFF, 0xC7, 0xC7, 0xC7, 0xC7, 0xFF, 0xFE, 0xFC, 0x80, 0xC0, 0xE1, 0xE1, 0xE1, 0xE1, 0xE1, 0xFF, 0x7F, 0x3F, // 57
    0x00, 0x00, 0x00, 0x38, 0x38, 0x38, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0E, 0x0E, 0x0E, 0x0E, 0x00, 0x00, 0x00 // 58
    
};

#endif
