

/*
 *
 * digiFont6x14
 *
 * created with FontCreator
 * written by F. Maximilian Thiele
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : DigiFont6x14.h
 * Date                : 03.06.2018
 * Font size in bytes  : 1025
 * Font width          : 6
 * Font height         : -16
 * Font first char     : 48
 * Font last char      : 59
 * Font used chars     : 11
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef DIGIFONT6X14_H
#define DIGIFONT6X14_H

#define DIGIFONT6X14_WIDTH 6
#define DIGIFONT6X14_HEIGHT 16

const static uint8_t digiFont6x14[] PROGMEM = {
    0x04, 0x01, // size
    0x06, // width
    0x10, // height
    0x30, // first char
    0x0B, // char count
    
    // char widths
    0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 
    0x03, 
    
    // font data
    0xFC, 0xFE, 0x06, 0x06, 0xFE, 0xFC, 0x3F, 0x7F, 0x60, 0x60, 0x7F, 0x3F, // 48
    0x04, 0x04, 0xFE, 0xFE, 0x00, 0x00, 0x40, 0x40, 0x7F, 0x7F, 0x40, 0x40, // 49
    0x02, 0x86, 0x86, 0x86, 0xFE, 0xFC, 0x3F, 0x7F, 0x61, 0x61, 0x61, 0x40, // 50
    0x82, 0x86, 0x86, 0x86, 0xFE, 0xFC, 0x40, 0x61, 0x61, 0x61, 0x7F, 0x3F, // 51
    0xFE, 0xFC, 0x80, 0x80, 0xFC, 0xFE, 0x00, 0x01, 0x01, 0x01, 0x3F, 0x7F, // 52
    0xFC, 0xFE, 0x86, 0x86, 0x86, 0x02, 0x40, 0x61, 0x61, 0x61, 0x7F, 0x3F, // 53
    0xFC, 0xFE, 0x86, 0x86, 0x86, 0x02, 0x3F, 0x7F, 0x61, 0x61, 0x7F, 0x3F, // 54
    0x02, 0x06, 0x06, 0x06, 0xFE, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x7F, // 55
    0xFC, 0xFE, 0x86, 0x86, 0xFE, 0xFC, 0x3F, 0x7F, 0x61, 0x61, 0x7F, 0x3F, // 56
    0xFC, 0xFE, 0x86, 0x86, 0xFE, 0xFC, 0x40, 0x61, 0x61, 0x61, 0x7F, 0x3F, // 57
    0x20, 0x50, 0x20, 0x08, 0x14, 0x08 // 58
    
};

#endif
