/*
 * Fixed width font for numbers
 *
 * This font is very useful when using overstrike as all characters & numbers
 * are all the same width.
 *
 * This font also contains a few special characters that are nice for certain applications
 * like clocks, signed values or decimal point values.
 * 
 * When rendering code inserts a pad pixel this size allows the font to fit
 * perfectly on 32 and 64 tall glcd displays as well as 128 wide displays.
 */

#ifndef angka_besar_kuru_H
#define angka_besar_kuru_H

#include <inttypes.h>
#include <avr/pgmspace.h>


const static uint8_t angka_besar_kuru[] PROGMEM = {
    0x00, 0x00,	// size of zero indicates fixed width font
    5,		// width
    11,		// height
    48,	// first char (48)
    10,		// char count

    0x0D, 0x0D, 0x0D, 0x0D, 0x0D, 0x0D, 0x0D, 0x0D, 0x0D, 0x0D,    // 32 to 41

        0x05, 0xFF, 0x1F, 0x01, 0x10, 0x01, 0x10, 0x01, 0x10, 0xFF, 0x1F,  // Code for char 0
        0x05, 0x04, 0x10, 0x07, 0x10, 0xFF, 0x1F, 0x00, 0x10, 0x00, 0x10,  // Code for char 1
        0x05, 0xF1, 0x1F, 0x11, 0x10, 0x11, 0x10, 0x11, 0x10, 0x1F, 0x18,  // Code for char 2
        0x05, 0x21, 0x10, 0x21, 0x10, 0x21, 0x10, 0x21, 0x10, 0xFF, 0x1F,  // Code for char 3
        0x05, 0x7F, 0x00, 0x40, 0x00, 0x40, 0x00, 0x40, 0x00, 0xFC, 0x1F,  // Code for char 4
        0x05, 0x1F, 0x10, 0x11, 0x10, 0x11, 0x10, 0x11, 0x10, 0xF1, 0x1F,  // Code for char 5
        0x05, 0xFF, 0x1F, 0x43, 0x18, 0x41, 0x18, 0x41, 0x18, 0xC1, 0x1F,  // Code for char 6
        0x05, 0x01, 0x00, 0x01, 0x00, 0x01, 0x00, 0x01, 0x00, 0xFF, 0x1F,  // Code for char 7
        0x05, 0xFF, 0x1F, 0x21, 0x10, 0x21, 0x10, 0x21, 0x10, 0xFF, 0x1F,  // Code for char 8
        0x05, 0x7F, 0x10, 0x41, 0x10, 0x41, 0x10, 0x61, 0x10, 0xFF, 0x1F,  // Code for char 9


};
#endif