/*
 *
 * System5x7
 *
 *
 * File Name           : System5x7.h
 * Date                : 28 Oct 2008
 * Font size in bytes  : 470
 * Font width          : 5
 * Font height         : 7
 * Font first char     : 32
 * Font last char      : 127
 * Font used chars     : 94
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef arab6x13_H
#define arab6x13_H

#define arab6x13_WIDTH 6
#define arab6x13_HEIGHT 13

/*
 * added to allow fontname to match header file name. 
 * as well as keep the old name for backward compability
 */

#define arab6x13  arab6x13

const static uint8_t arab6x13[] PROGMEM = {
    0x03, 0xD0, 
    0x06, 
    0x0F, 
    0x30, 
    0x0A, 
    
   
    0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 
    0x06, 0x06, 

        0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x38, 0x7c, 0x38, 0x10, 0x00,	//0
	0x04, 0x0E, 0xFC, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x3f, 0x7f, 0x00, 0x00,	//1
	0x06, 0x3E, 0xFC, 0xC8, 0x0C, 0x06, 0x00, 0x00, 0x3f, 0x7f, 0x00, 0x00,	//2
	0x0E, 0x3C, 0xF8, 0xCE, 0x08, 0x0E, 0x00, 0x00, 0x3f, 0x7f, 0x00, 0x00,	//3
	0x30, 0x7C, 0xCC, 0x86, 0x86, 0x00, 0x18, 0x3c, 0x37, 0x63, 0x63, 0x00,	//4
	0xE0, 0x78, 0x1E, 0x1E, 0x78, 0xE0, 0x3F, 0x70, 0x70, 0x70, 0x70, 0x3F,	//5
	0x06, 0x0C, 0x0C, 0x0C, 0xFC, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x3f, 0x7f,	//6
	0xFE, 0xFE, 0x00, 0x00, 0xFE, 0xFE, 0x07, 0x1f, 0x70, 0x70, 0x1f, 0x07,	//7
	0xE0, 0xF8, 0x1E, 0x1E, 0xF8, 0xE0, 0x7f, 0x7f, 0x00, 0x00, 0x7f, 0x7f,	//8
	0x7C, 0xE6, 0xC2, 0xFE, 0xFC, 0x00, 0x00, 0x01, 0x01, 0x0f, 0x3f, 0x70	//9    
   
    
};

#endif
