

/*
 * Fareed Read
 * http://www.facebook.com/fareedreads
 *
 * bmz10x14
 *
 * created with FontCreator
 * written by F. Maximilian Thiele
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : bmz10x14.h
 * Date                : 21.04.2020
 * Font size in bytes  : 1416
 * Font width          : 10
 * Font height         : -14
 * Font first char     : 48
 * Font last char      : 58
 * Font used chars     : 10
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef BMZ10X14_H
#define BMZ10X14_H

#define BMZ10X14_WIDTH 10
#define BMZ10X14_HEIGHT -14

const static uint8_t bmz10x14[] PROGMEM = {
    0x05, 0x88, // size
    0x0A, // width
    0x0E, // height
    0x30, // first char
    0x0A, // char count
    
    // char widths
    0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 0x0A, 
    
    
    // font data
    0xFC, 0xFC, 0x03, 0x03, 0xC3, 0xC3, 0x33, 0x33, 0xFC, 0xFC, 0x3C, 0x3C, 0xCC, 0xCC, 0xC0, 0xC0, 0xC0, 0xC0, 0x3C, 0x3C, // 48
    0x00, 0x00, 0x06, 0x06, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xC0, 0xC0, 0xFC, 0xFC, 0xC0, 0xC0, 0x00, 0x00, // 49
    0x0C, 0x0C, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0x3C, 0x3C, 0xFC, 0xFC, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, // 50
    0x03, 0x03, 0x03, 0x03, 0xC3, 0xC3, 0xF3, 0xF3, 0x0F, 0x0F, 0x30, 0x30, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x3C, 0x3C, // 51
    0xC0, 0xC0, 0x30, 0x30, 0x0C, 0x0C, 0xFF, 0xFF, 0x00, 0x00, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0xFC, 0xFC, 0x0C, 0x0C, // 52
    0x3F, 0x3F, 0x33, 0x33, 0x33, 0x33, 0x33, 0x33, 0xC3, 0xC3, 0x30, 0x30, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x3C, 0x3C, // 53
    0xF0, 0xF0, 0xCC, 0xCC, 0xC3, 0xC3, 0xC3, 0xC3, 0x03, 0x03, 0x3C, 0x3C, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x3C, 0x3C, // 54
    0x03, 0x03, 0x03, 0x03, 0x03, 0x03, 0xC3, 0xC3, 0x3F, 0x3F, 0xC0, 0xC0, 0x30, 0x30, 0x0C, 0x0C, 0x00, 0x00, 0x00, 0x00, // 55
    0x3C, 0x3C, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0x3C, 0x3C, 0x3C, 0x3C, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x3C, 0x3C, // 56
    0x3C, 0x3C, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xC3, 0xFC, 0xFC, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x30, 0x30, 0x0C, 0x0C // 57
    
};

#endif
