

/*
 *
 * 7sgm
 *
 * created with FontCreator
 * written by F. Maximilian Thiele
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : sys7sgmt
 * Date                : 07.06.2018
 * Font size in bytes  : 976
 * Font width          : 6
 * Font height         : -16
 * Font first char     : 48
 * Font last char      : 58
 * Font used chars     : 10
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef SYS7SGMT_H
#define SYS7SGMT_H

#define SYS7SGMT_WIDTH 6
#define SYS7SGMT_HEIGHT 16

const static uint8_t sys7sgmt[] PROGMEM = {
    0x03, 0xD0, // size
    0x06, // width
    0x0F, // height
    0x30, // first char
    0x0A, // char count
    
    // char widths
    0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 0x06, 
    
    
    // font data
    0xFE, 0xFF, 0xC3, 0x63, 0xFF, 0xFE, 0x3F, 0x7F, 0x60, 0x60, 0x7F, 0x3F, // 48
    0x00, 0x00, 0xFE, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x7F, 0x00, 0x00, // 49
    0x81, 0xC3, 0xC3, 0xC3, 0xFF, 0x7E, 0x3F, 0x7F, 0x60, 0x60, 0x60, 0x40, // 50
    0x01, 0xC3, 0xC3, 0xC3, 0xFF, 0xFE, 0x40, 0x60, 0x60, 0x60, 0x7F, 0x3F, // 51
    0x7F, 0xFE, 0xC0, 0xC0, 0xFE, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x7F, // 52
    0x7E, 0xFF, 0xC3, 0xC3, 0xC3, 0x81, 0x40, 0x60, 0x60, 0x60, 0x7F, 0x3F, // 53
    0xFE, 0xFF, 0xC3, 0xC3, 0xC3, 0x81, 0x3F, 0x7F, 0x60, 0x60, 0x7F, 0x3F, // 54
    0x01, 0x03, 0x03, 0x03, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00, 0x3F, 0x7F, // 55
    0xBE, 0xFF, 0xC3, 0xC3, 0xFF, 0xBE, 0x3F, 0x7F, 0x60, 0x60, 0x7F, 0x3F, // 56
    0x7E, 0xFF, 0xC3, 0xC3, 0xFF, 0xFE, 0x40, 0x60, 0x60, 0x60, 0x7F, 0x3F // 57
    
};

#endif
